osl::search::KillerMoveTable Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Static Public Attributes | Private Attributes | List of all members
osl::search::KillerMoveTable Class Reference

単純なkiller move More...

`#include <killerMoveTable.h>`

Collaboration diagram for osl::search::KillerMoveTable:
[legend]

## Public Member Functions
| KillerMoveTable ()
| ~KillerMoveTable ()
void | clear ()
void | setMove (size_t depth, const Move &move)
void | getMove (const NumEffectState &state, size_t depth, MoveVector &out) const

## Static Public Attributes
static const int | KillerMoveMax = 64

## Private Attributes
CArray< LRUMoves, KillerMoveMax > | killer_moves

## Detailed Description

単純なkiller move

深さごとの最善手を登録する．テーブルに登録されていない局面で， 「自分が何を指そうが相手からこう指されると困る」と言うときに有 効．最善の判定はいい加減で，その深さで最後にbestMoveとして発見されたmove

Definition at line 22 of file killerMoveTable.h.

## Constructor & Destructor Documentation

osl::search::KillerMoveTable::KillerMoveTable | ( | ) |  |

Definition at line 7 of file killerMoveTable.cc.

osl::search::KillerMoveTable::~KillerMoveTable | ( | ) |  |

Definition at line 13 of file killerMoveTable.cc.

## Member Function Documentation

void osl::search::KillerMoveTable::clear | ( | ) |  |

Definition at line 18 of file killerMoveTable.cc.

References osl::search::LRUMoves::clear().

void osl::search::KillerMoveTable::getMove | ( | const NumEffectState & | state,
|  | size_t | depth,
|  | MoveVector & | out
| ) |  | const
| inline

Definition at line 37 of file killerMoveTable.h.

References depth, osl::Move::isNormal(), killer_moves, moves, and osl::search::LRUMoves::size().

Referenced by osl::search::AlphaBeta3::nextMove().

void osl::search::KillerMoveTable::setMove | ( | size_t | depth,
|  | const Move & | move
| ) |  |
| inline

Definition at line 32 of file killerMoveTable.h.

References depth, osl::Move::isValid(), and killer_moves.

Referenced by osl::search::AlphaBeta3::search().

## Member Data Documentation

CArray<LRUMoves,KillerMoveMax> osl::search::KillerMoveTable::killer_moves
| private

Definition at line 27 of file killerMoveTable.h.

Referenced by getMove(), and setMove().

const int osl::search::KillerMoveTable::KillerMoveMax = 64
| static

Definition at line 25 of file killerMoveTable.h.

The documentation for this class was generated from the following files:

- killerMoveTable.h
- killerMoveTable.cc